

# Amazon S3 on Outposts
<a name="API_Operations_Amazon_S3_on_Outposts"></a>

The following actions are supported by Amazon S3 on Outposts:
+  [CreateEndpoint](API_s3outposts_CreateEndpoint.md) 
+  [DeleteEndpoint](API_s3outposts_DeleteEndpoint.md) 
+  [ListEndpoints](API_s3outposts_ListEndpoints.md) 
+  [ListOutpostsWithS3](API_s3outposts_ListOutpostsWithS3.md) 
+  [ListSharedEndpoints](API_s3outposts_ListSharedEndpoints.md) 

# CreateEndpoint
<a name="API_s3outposts_CreateEndpoint"></a>

Creates an endpoint and associates it with the specified Outpost.

**Note**  
It can take up to 5 minutes for this action to finish.



Related actions include:
+  [DeleteEndpoint](https://docs.aws.amazon.com/AmazonS3/latest/API/API_s3outposts_DeleteEndpoint.html) 
+  [ListEndpoints](https://docs.aws.amazon.com/AmazonS3/latest/API/API_s3outposts_ListEndpoints.html) 

## Request Syntax
<a name="API_s3outposts_CreateEndpoint_RequestSyntax"></a>

```
POST /S3Outposts/CreateEndpoint HTTP/1.1
Content-type: application/json

{
   "AccessType": "string",
   "CustomerOwnedIpv4Pool": "string",
   "OutpostId": "string",
   "SecurityGroupId": "string",
   "SubnetId": "string"
}
```

## URI Request Parameters
<a name="API_s3outposts_CreateEndpoint_RequestParameters"></a>

The request does not use any URI parameters.

## Request Body
<a name="API_s3outposts_CreateEndpoint_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [AccessType](#API_s3outposts_CreateEndpoint_RequestSyntax) **   <a name="AmazonS3-s3outposts_CreateEndpoint-request-AccessType"></a>
The type of access for the network connectivity for the Amazon S3 on Outposts endpoint. To use the AWS VPC, choose `Private`. To use the endpoint with an on-premises network, choose `CustomerOwnedIp`. If you choose `CustomerOwnedIp`, you must also provide the customer-owned IP address pool (CoIP pool).  
 `Private` is the default access type value.
Type: String  
Valid Values: `Private | CustomerOwnedIp`   
Required: No

 ** [CustomerOwnedIpv4Pool](#API_s3outposts_CreateEndpoint_RequestSyntax) **   <a name="AmazonS3-s3outposts_CreateEndpoint-request-CustomerOwnedIpv4Pool"></a>
The ID of the customer-owned IPv4 address pool (CoIP pool) for the endpoint. IP addresses are allocated from this pool for the endpoint.  
Type: String  
Pattern: `^ipv4pool-coip-([0-9a-f]{17})$`   
Required: No

 ** [OutpostId](#API_s3outposts_CreateEndpoint_RequestSyntax) **   <a name="AmazonS3-s3outposts_CreateEndpoint-request-OutpostId"></a>
The ID of the AWS Outposts.   
Type: String  
Pattern: `^(op-[a-f0-9]{17}|\d{12}|ec2)$`   
Required: Yes

 ** [SecurityGroupId](#API_s3outposts_CreateEndpoint_RequestSyntax) **   <a name="AmazonS3-s3outposts_CreateEndpoint-request-SecurityGroupId"></a>
The ID of the security group to use with the endpoint.  
Type: String  
Pattern: `^sg-([0-9a-f]{8}|[0-9a-f]{17})$`   
Required: Yes

 ** [SubnetId](#API_s3outposts_CreateEndpoint_RequestSyntax) **   <a name="AmazonS3-s3outposts_CreateEndpoint-request-SubnetId"></a>
The ID of the subnet in the selected VPC. The endpoint subnet must belong to the Outpost that has Amazon S3 on Outposts provisioned.  
Type: String  
Pattern: `^subnet-([0-9a-f]{8}|[0-9a-f]{17})$`   
Required: Yes

## Response Syntax
<a name="API_s3outposts_CreateEndpoint_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "EndpointArn": "string"
}
```

## Response Elements
<a name="API_s3outposts_CreateEndpoint_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [EndpointArn](#API_s3outposts_CreateEndpoint_ResponseSyntax) **   <a name="AmazonS3-s3outposts_CreateEndpoint-response-EndpointArn"></a>
The Amazon Resource Name (ARN) of the endpoint.  
Type: String  
Pattern: `^arn:(aws|aws-cn|aws-us-gov|aws-iso|aws-iso-b):s3-outposts:[a-z\-0-9]*:[0-9]{12}:outpost/(op-[a-f0-9]{17}|ec2)/endpoint/[a-zA-Z0-9]{19}$` 

## Errors
<a name="API_s3outposts_CreateEndpoint_Errors"></a>

 ** AccessDeniedException **   
Access was denied for this action.  
HTTP Status Code: 403

 ** ConflictException **   
There was a conflict with this action, and it could not be completed.  
HTTP Status Code: 409

 ** InternalServerException **   
There was an exception with the internal server.  
HTTP Status Code: 500

 ** OutpostOfflineException **   
The service link connection to your Outposts home Region is down. Check your connection and try again.  
HTTP Status Code: 400

 ** ResourceNotFoundException **   
The requested resource was not found.  
HTTP Status Code: 404

 ** ThrottlingException **   
The request was denied due to request throttling.  
HTTP Status Code: 429

 ** ValidationException **   
There was an exception validating this data.  
HTTP Status Code: 400

## See Also
<a name="API_s3outposts_CreateEndpoint_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/s3outposts-2017-07-25/CreateEndpoint) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/s3outposts-2017-07-25/CreateEndpoint) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/s3outposts-2017-07-25/CreateEndpoint) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/s3outposts-2017-07-25/CreateEndpoint) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/s3outposts-2017-07-25/CreateEndpoint) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/s3outposts-2017-07-25/CreateEndpoint) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/s3outposts-2017-07-25/CreateEndpoint) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/s3outposts-2017-07-25/CreateEndpoint) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/s3outposts-2017-07-25/CreateEndpoint) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/s3outposts-2017-07-25/CreateEndpoint) 

# DeleteEndpoint
<a name="API_s3outposts_DeleteEndpoint"></a>

Deletes an endpoint.

**Note**  
It can take up to 5 minutes for this action to finish.



Related actions include:
+  [CreateEndpoint](https://docs.aws.amazon.com/AmazonS3/latest/API/API_s3outposts_CreateEndpoint.html) 
+  [ListEndpoints](https://docs.aws.amazon.com/AmazonS3/latest/API/API_s3outposts_ListEndpoints.html) 

## Request Syntax
<a name="API_s3outposts_DeleteEndpoint_RequestSyntax"></a>

```
DELETE /S3Outposts/DeleteEndpoint?endpointId=EndpointId&outpostId=OutpostId HTTP/1.1
```

## URI Request Parameters
<a name="API_s3outposts_DeleteEndpoint_RequestParameters"></a>

The request uses the following URI parameters.

 ** [EndpointId](#API_s3outposts_DeleteEndpoint_RequestSyntax) **   <a name="AmazonS3-s3outposts_DeleteEndpoint-request-uri-EndpointId"></a>
The ID of the endpoint.  
Pattern: `^[a-zA-Z0-9]{19}$`   
Required: Yes

 ** [OutpostId](#API_s3outposts_DeleteEndpoint_RequestSyntax) **   <a name="AmazonS3-s3outposts_DeleteEndpoint-request-uri-OutpostId"></a>
The ID of the AWS Outposts.   
Pattern: `^(op-[a-f0-9]{17}|\d{12}|ec2)$`   
Required: Yes

## Request Body
<a name="API_s3outposts_DeleteEndpoint_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_s3outposts_DeleteEndpoint_ResponseSyntax"></a>

```
HTTP/1.1 200
```

## Response Elements
<a name="API_s3outposts_DeleteEndpoint_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response with an empty HTTP body.

## Errors
<a name="API_s3outposts_DeleteEndpoint_Errors"></a>

 ** AccessDeniedException **   
Access was denied for this action.  
HTTP Status Code: 403

 ** InternalServerException **   
There was an exception with the internal server.  
HTTP Status Code: 500

 ** OutpostOfflineException **   
The service link connection to your Outposts home Region is down. Check your connection and try again.  
HTTP Status Code: 400

 ** ResourceNotFoundException **   
The requested resource was not found.  
HTTP Status Code: 404

 ** ThrottlingException **   
The request was denied due to request throttling.  
HTTP Status Code: 429

 ** ValidationException **   
There was an exception validating this data.  
HTTP Status Code: 400

## See Also
<a name="API_s3outposts_DeleteEndpoint_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/s3outposts-2017-07-25/DeleteEndpoint) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/s3outposts-2017-07-25/DeleteEndpoint) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/s3outposts-2017-07-25/DeleteEndpoint) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/s3outposts-2017-07-25/DeleteEndpoint) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/s3outposts-2017-07-25/DeleteEndpoint) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/s3outposts-2017-07-25/DeleteEndpoint) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/s3outposts-2017-07-25/DeleteEndpoint) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/s3outposts-2017-07-25/DeleteEndpoint) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/s3outposts-2017-07-25/DeleteEndpoint) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/s3outposts-2017-07-25/DeleteEndpoint) 

# ListEndpoints
<a name="API_s3outposts_ListEndpoints"></a>

Lists endpoints associated with the specified Outpost. 

Related actions include:
+  [CreateEndpoint](https://docs.aws.amazon.com/AmazonS3/latest/API/API_s3outposts_CreateEndpoint.html) 
+  [DeleteEndpoint](https://docs.aws.amazon.com/AmazonS3/latest/API/API_s3outposts_DeleteEndpoint.html) 

## Request Syntax
<a name="API_s3outposts_ListEndpoints_RequestSyntax"></a>

```
GET /S3Outposts/ListEndpoints?maxResults=MaxResults&nextToken=NextToken HTTP/1.1
```

## URI Request Parameters
<a name="API_s3outposts_ListEndpoints_RequestParameters"></a>

The request uses the following URI parameters.

 ** [MaxResults](#API_s3outposts_ListEndpoints_RequestSyntax) **   <a name="AmazonS3-s3outposts_ListEndpoints-request-uri-MaxResults"></a>
The maximum number of endpoints that will be returned in the response.  
Valid Range: Minimum value of 0. Maximum value of 100.

 ** [NextToken](#API_s3outposts_ListEndpoints_RequestSyntax) **   <a name="AmazonS3-s3outposts_ListEndpoints-request-uri-NextToken"></a>
If a previous response from this operation included a `NextToken` value, provide that value here to retrieve the next page of results.  
Length Constraints: Minimum length of 1. Maximum length of 1024.  
Pattern: `^[A-Za-z0-9\+\:\/\=\?\#-_]+$` 

## Request Body
<a name="API_s3outposts_ListEndpoints_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_s3outposts_ListEndpoints_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "Endpoints": [ 
      { 
         "AccessType": "string",
         "CidrBlock": "string",
         "CreationTime": number,
         "CustomerOwnedIpv4Pool": "string",
         "EndpointArn": "string",
         "FailedReason": { 
            "ErrorCode": "string",
            "Message": "string"
         },
         "NetworkInterfaces": [ 
            { 
               "NetworkInterfaceId": "string"
            }
         ],
         "OutpostsId": "string",
         "SecurityGroupId": "string",
         "Status": "string",
         "SubnetId": "string",
         "VpcId": "string"
      }
   ],
   "NextToken": "string"
}
```

## Response Elements
<a name="API_s3outposts_ListEndpoints_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [Endpoints](#API_s3outposts_ListEndpoints_ResponseSyntax) **   <a name="AmazonS3-s3outposts_ListEndpoints-response-Endpoints"></a>
The list of endpoints associated with the specified Outpost.  
Type: Array of [Endpoint](API_s3outposts_Endpoint.md) objects

 ** [NextToken](#API_s3outposts_ListEndpoints_ResponseSyntax) **   <a name="AmazonS3-s3outposts_ListEndpoints-response-NextToken"></a>
If the number of endpoints associated with the specified Outpost exceeds `MaxResults`, you can include this value in subsequent calls to this operation to retrieve more results.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 1024.  
Pattern: `^[A-Za-z0-9\+\:\/\=\?\#-_]+$` 

## Errors
<a name="API_s3outposts_ListEndpoints_Errors"></a>

 ** AccessDeniedException **   
Access was denied for this action.  
HTTP Status Code: 403

 ** InternalServerException **   
There was an exception with the internal server.  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The requested resource was not found.  
HTTP Status Code: 404

 ** ThrottlingException **   
The request was denied due to request throttling.  
HTTP Status Code: 429

 ** ValidationException **   
There was an exception validating this data.  
HTTP Status Code: 400

## See Also
<a name="API_s3outposts_ListEndpoints_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/s3outposts-2017-07-25/ListEndpoints) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/s3outposts-2017-07-25/ListEndpoints) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/s3outposts-2017-07-25/ListEndpoints) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/s3outposts-2017-07-25/ListEndpoints) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/s3outposts-2017-07-25/ListEndpoints) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/s3outposts-2017-07-25/ListEndpoints) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/s3outposts-2017-07-25/ListEndpoints) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/s3outposts-2017-07-25/ListEndpoints) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/s3outposts-2017-07-25/ListEndpoints) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/s3outposts-2017-07-25/ListEndpoints) 

# ListOutpostsWithS3
<a name="API_s3outposts_ListOutpostsWithS3"></a>

Lists the Outposts with S3 on Outposts capacity for your AWS account. Includes S3 on Outposts that you have access to as the Outposts owner, or as a shared user from Resource Access Manager (RAM). 

## Request Syntax
<a name="API_s3outposts_ListOutpostsWithS3_RequestSyntax"></a>

```
GET /S3Outposts/ListOutpostsWithS3?maxResults=MaxResults&nextToken=NextToken HTTP/1.1
```

## URI Request Parameters
<a name="API_s3outposts_ListOutpostsWithS3_RequestParameters"></a>

The request uses the following URI parameters.

 ** [MaxResults](#API_s3outposts_ListOutpostsWithS3_RequestSyntax) **   <a name="AmazonS3-s3outposts_ListOutpostsWithS3-request-uri-MaxResults"></a>
The maximum number of Outposts to return. The limit is 100.  
Valid Range: Minimum value of 0. Maximum value of 100.

 ** [NextToken](#API_s3outposts_ListOutpostsWithS3_RequestSyntax) **   <a name="AmazonS3-s3outposts_ListOutpostsWithS3-request-uri-NextToken"></a>
When you can get additional results from the `ListOutpostsWithS3` call, a `NextToken` parameter is returned in the output. You can then pass in a subsequent command to the `NextToken` parameter to continue listing additional Outposts.  
Length Constraints: Minimum length of 1. Maximum length of 1024.  
Pattern: `^[A-Za-z0-9\+\:\/\=\?\#-_]+$` 

## Request Body
<a name="API_s3outposts_ListOutpostsWithS3_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_s3outposts_ListOutpostsWithS3_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "NextToken": "string",
   "Outposts": [ 
      { 
         "CapacityInBytes": number,
         "OutpostArn": "string",
         "OutpostId": "string",
         "OwnerId": "string",
         "S3OutpostArn": "string"
      }
   ]
}
```

## Response Elements
<a name="API_s3outposts_ListOutpostsWithS3_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [NextToken](#API_s3outposts_ListOutpostsWithS3_ResponseSyntax) **   <a name="AmazonS3-s3outposts_ListOutpostsWithS3-response-NextToken"></a>
Returns a token that you can use to call `ListOutpostsWithS3` again and receive additional results, if there are any.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 1024.  
Pattern: `^[A-Za-z0-9\+\:\/\=\?\#-_]+$` 

 ** [Outposts](#API_s3outposts_ListOutpostsWithS3_ResponseSyntax) **   <a name="AmazonS3-s3outposts_ListOutpostsWithS3-response-Outposts"></a>
Returns the list of Outposts that have the following characteristics:  
+ outposts that have S3 provisioned
+ outposts that are `Active` (not pending any provisioning nor decommissioned)
+ outposts to which the the calling AWS account has access
Type: Array of [Outpost](API_s3outposts_Outpost.md) objects

## Errors
<a name="API_s3outposts_ListOutpostsWithS3_Errors"></a>

 ** AccessDeniedException **   
Access was denied for this action.  
HTTP Status Code: 403

 ** InternalServerException **   
There was an exception with the internal server.  
HTTP Status Code: 500

 ** ThrottlingException **   
The request was denied due to request throttling.  
HTTP Status Code: 429

 ** ValidationException **   
There was an exception validating this data.  
HTTP Status Code: 400

## See Also
<a name="API_s3outposts_ListOutpostsWithS3_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/s3outposts-2017-07-25/ListOutpostsWithS3) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/s3outposts-2017-07-25/ListOutpostsWithS3) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/s3outposts-2017-07-25/ListOutpostsWithS3) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/s3outposts-2017-07-25/ListOutpostsWithS3) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/s3outposts-2017-07-25/ListOutpostsWithS3) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/s3outposts-2017-07-25/ListOutpostsWithS3) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/s3outposts-2017-07-25/ListOutpostsWithS3) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/s3outposts-2017-07-25/ListOutpostsWithS3) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/s3outposts-2017-07-25/ListOutpostsWithS3) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/s3outposts-2017-07-25/ListOutpostsWithS3) 

# ListSharedEndpoints
<a name="API_s3outposts_ListSharedEndpoints"></a>

Lists all endpoints associated with an Outpost that has been shared by AWS Resource Access Manager (RAM).

Related actions include:
+  [CreateEndpoint](https://docs.aws.amazon.com/AmazonS3/latest/API/API_s3outposts_CreateEndpoint.html) 
+  [DeleteEndpoint](https://docs.aws.amazon.com/AmazonS3/latest/API/API_s3outposts_DeleteEndpoint.html) 

## Request Syntax
<a name="API_s3outposts_ListSharedEndpoints_RequestSyntax"></a>

```
GET /S3Outposts/ListSharedEndpoints?maxResults=MaxResults&nextToken=NextToken&outpostId=OutpostId HTTP/1.1
```

## URI Request Parameters
<a name="API_s3outposts_ListSharedEndpoints_RequestParameters"></a>

The request uses the following URI parameters.

 ** [MaxResults](#API_s3outposts_ListSharedEndpoints_RequestSyntax) **   <a name="AmazonS3-s3outposts_ListSharedEndpoints-request-uri-MaxResults"></a>
The maximum number of endpoints that will be returned in the response.  
Valid Range: Minimum value of 0. Maximum value of 100.

 ** [NextToken](#API_s3outposts_ListSharedEndpoints_RequestSyntax) **   <a name="AmazonS3-s3outposts_ListSharedEndpoints-request-uri-NextToken"></a>
If a previous response from this operation included a `NextToken` value, you can provide that value here to retrieve the next page of results.  
Length Constraints: Minimum length of 1. Maximum length of 1024.  
Pattern: `^[A-Za-z0-9\+\:\/\=\?\#-_]+$` 

 ** [OutpostId](#API_s3outposts_ListSharedEndpoints_RequestSyntax) **   <a name="AmazonS3-s3outposts_ListSharedEndpoints-request-uri-OutpostId"></a>
The ID of the AWS Outpost.  
Pattern: `^(op-[a-f0-9]{17}|\d{12}|ec2)$`   
Required: Yes

## Request Body
<a name="API_s3outposts_ListSharedEndpoints_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_s3outposts_ListSharedEndpoints_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "Endpoints": [ 
      { 
         "AccessType": "string",
         "CidrBlock": "string",
         "CreationTime": number,
         "CustomerOwnedIpv4Pool": "string",
         "EndpointArn": "string",
         "FailedReason": { 
            "ErrorCode": "string",
            "Message": "string"
         },
         "NetworkInterfaces": [ 
            { 
               "NetworkInterfaceId": "string"
            }
         ],
         "OutpostsId": "string",
         "SecurityGroupId": "string",
         "Status": "string",
         "SubnetId": "string",
         "VpcId": "string"
      }
   ],
   "NextToken": "string"
}
```

## Response Elements
<a name="API_s3outposts_ListSharedEndpoints_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [Endpoints](#API_s3outposts_ListSharedEndpoints_ResponseSyntax) **   <a name="AmazonS3-s3outposts_ListSharedEndpoints-response-Endpoints"></a>
The list of endpoints associated with the specified Outpost that have been shared by AWS Resource Access Manager (RAM).  
Type: Array of [Endpoint](API_s3outposts_Endpoint.md) objects

 ** [NextToken](#API_s3outposts_ListSharedEndpoints_ResponseSyntax) **   <a name="AmazonS3-s3outposts_ListSharedEndpoints-response-NextToken"></a>
If the number of endpoints associated with the specified Outpost exceeds `MaxResults`, you can include this value in subsequent calls to this operation to retrieve more results.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 1024.  
Pattern: `^[A-Za-z0-9\+\:\/\=\?\#-_]+$` 

## Errors
<a name="API_s3outposts_ListSharedEndpoints_Errors"></a>

 ** AccessDeniedException **   
Access was denied for this action.  
HTTP Status Code: 403

 ** InternalServerException **   
There was an exception with the internal server.  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The requested resource was not found.  
HTTP Status Code: 404

 ** ThrottlingException **   
The request was denied due to request throttling.  
HTTP Status Code: 429

 ** ValidationException **   
There was an exception validating this data.  
HTTP Status Code: 400

## See Also
<a name="API_s3outposts_ListSharedEndpoints_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/s3outposts-2017-07-25/ListSharedEndpoints) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/s3outposts-2017-07-25/ListSharedEndpoints) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/s3outposts-2017-07-25/ListSharedEndpoints) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/s3outposts-2017-07-25/ListSharedEndpoints) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/s3outposts-2017-07-25/ListSharedEndpoints) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/s3outposts-2017-07-25/ListSharedEndpoints) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/s3outposts-2017-07-25/ListSharedEndpoints) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/s3outposts-2017-07-25/ListSharedEndpoints) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/s3outposts-2017-07-25/ListSharedEndpoints) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/s3outposts-2017-07-25/ListSharedEndpoints) 